Bug 1334641 - Patch the version of libxcb used by the Ubuntu 12.04 testers. r=jmaher, a=test-only
authorBotond Ballo <botond@mozilla.com>
Fri, 27 Jan 2017 17:35:57 -0500
changeset 378353 787f2ba757298bed792e11662a341950cbb8cf7d
parent 378352 63752d3df9fa09ecd3283eaccb950cc5607fbab1
child 378354 6b063631a7d3ffd5dc2b621852e4d8ac8758ef99
push id1419
push userjlund@mozilla.com
push dateMon, 10 Apr 2017 20:44:07 +0000
treeherdermozilla-release@5e6801b73ef6 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjmaher, test-only
bugs1334641, 1293474
milestone53.0a2
Bug 1334641 - Patch the version of libxcb used by the Ubuntu 12.04 testers. r=jmaher, a=test-only The patch, taken from upstream libxcb version 1.11, and applied to the libxcb 1.8 version we use on the 12.04 testers, fixes the "xcb_conn.c:186: write_vec: Assertion `!c->out.queue_len' failed" error that has been plaguing us in bug 1293474. The Ubuntu 16.04 testers do not need to be patched becaused they are running a newer version of libxcb that already has the upstream fix. MozReview-Commit-ID: AoRNonpK0Dr
taskcluster/docker/recipes/ubuntu1204-test-system-setup.sh
--- a/taskcluster/docker/recipes/ubuntu1204-test-system-setup.sh
+++ b/taskcluster/docker/recipes/ubuntu1204-test-system-setup.sh
@@ -165,26 +165,27 @@ node -v  # verify
 
 # Install custom-built Debian packages.  These come from a set of repositories
 # packaged in tarballs on tooltool to make them replicable.  Because they have
 # inter-dependenices, we install all repositories first, then perform the
 # installation.
 cp /etc/apt/sources.list sources.list.orig
 
 # Install a slightly newer version of libxcb
-# See bug 975216 for the original build of these packages
+# See bugs 975216 and 1334641 for the original build of these packages
 # NOTE: if you're re-creating this, the tarball contains an `update.sh` which will rebuild the repository.
 tooltool_fetch <<'EOF'
 [
-{
-    "size": 9708011, 
-    "digest": "45005c7e1fdb4839f3bb96bfdb5e448672e7e40fa3cfc22ef646e2996a541f151e88c61b8a568cc00b7fcf5cb5e98e00c4e603acb0b73f85125582fa00aae76e", 
-    "algorithm": "sha512", 
-    "filename": "xcb-repo-1.8.1-2ubuntu2.1mozilla1.tgz"
-}
+  {
+    "size": 9711517,
+    "visibility": "public",
+    "digest": "ecbcebfb409ad9f7f2a9b6b058e20d49e45b3fd5d94dac59e94ff9a54844611f715230468af506a10a5cd62df6df74fdf0e126d43f6bec743eb803ded0740da7",
+    "algorithm": "sha512",
+    "filename": "xcb-repo-1.8.1-2ubuntu2.1mozilla2.tgz"
+  }
 ]
 EOF
 tar -zxf xcb-repo-*.tgz
 echo "deb file://$PWD/xcb precise all" >> /etc/apt/sources.list
 
 # Install a patched version of mesa, per bug 1227637.  Origin of the packages themselves is unknown, as
 # these binaries were copied from the apt repositories used by puppet.  Ask rail for more information.
 # NOTE: if you're re-creating this, the tarball contains an `update.sh` which will rebuild the repository.
@@ -237,17 +238,17 @@ apt-get update
 
 apt-get -q -y --force-yes install \
     libxcb1 \
     libxcb-render0 \
     libxcb-shm0 \
     libxcb-glx0 \
     libxcb-shape0 libxcb-glx0:i386
 libxcb1_version=$(dpkg-query -s libxcb1 | grep ^Version | awk '{ print $2 }')
-[ "$libxcb1_version" = "1.8.1-2ubuntu2.1mozilla1" ] || exit 1
+[ "$libxcb1_version" = "1.8.1-2ubuntu2.1mozilla2" ] || exit 1
 
 apt-get -q -y --force-yes install \
     libgl1-mesa-dev-lts-saucy:i386 \
     libgl1-mesa-dri-lts-saucy \
     libgl1-mesa-dri-lts-saucy:i386 \
     libgl1-mesa-glx-lts-saucy \
     libgl1-mesa-glx-lts-saucy:i386 \
     libglapi-mesa-lts-saucy \